using hugepages/hugepagesz causes kexec'd kernel to OOM

Bug #1634132 reported by Chris J Arges on 2016-10-17
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
makedumpfile (Ubuntu)
Medium
Chris J Arges
Trusty
Medium
Chris J Arges
Xenial
Medium
Chris J Arges
Yakkety
Medium
Chris J Arges
Zesty
Medium
Louis Bouchard

Bug Description

[Impact]
Users of kdump won't be able to dump if their system uses hugepages/hugepagesz on the cmdline.

[Test Case]
1) Install crashdump
2) Boot machine with hugepages= or hugepagesz= set to a significant amount of memory
3) Try to crash with 'echo 'c' | sudo tee /proc/sysrq-trigger'

[Regression Potential]
If users really want to have hugepages/hugepagesz on the kexec'd kernel for kdump they can add this via KDUMP_CMDLINE_APPEND in /etc/default/kdump-tools.
This patch should also potentially go upstream.

Chris J Arges (arges) on 2016-10-17
Changed in makedumpfile (Ubuntu):
assignee: nobody → Chris J Arges (arges)
importance: Undecided → Medium
status: New → In Progress
Chris J Arges (arges) wrote :
tags: added: patch
Chris J Arges (arges) wrote :

Uploaded for Z/Y/X/T.

Changed in makedumpfile (Ubuntu Xenial):
assignee: nobody → Chris J Arges (arges)
Changed in makedumpfile (Ubuntu Trusty):
assignee: nobody → Chris J Arges (arges)
status: New → In Progress
Changed in makedumpfile (Ubuntu Xenial):
status: New → In Progress
Changed in makedumpfile (Ubuntu Trusty):
importance: Undecided → Medium
Changed in makedumpfile (Ubuntu Xenial):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package makedumpfile - 1:1.6.0-2ubuntu2

---------------
makedumpfile (1:1.6.0-2ubuntu2) zesty; urgency=medium

  * Remove hugepages/hugepagesz from kdump's cmdline. (LP: #1634132)

 -- Chris J Arges <email address hidden> Mon, 17 Oct 2016 08:19:33 -0500

Changed in makedumpfile (Ubuntu Zesty):
status: Confirmed → Fix Released

Hello Chris, or anyone else affected,

Accepted makedumpfile into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/makedumpfile/1:1.6.0-2ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in makedumpfile (Ubuntu Yakkety):
status: In Progress → Fix Committed
tags: added: verification-needed
Andy Whitcroft (apw) wrote :

Hello Chris, or anyone else affected,

Accepted makedumpfile into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/makedumpfile/1:1.5.9-5ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in makedumpfile (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in makedumpfile (Ubuntu Trusty):
status: In Progress → Fix Committed
Andy Whitcroft (apw) wrote :

Hello Chris, or anyone else affected,

Accepted makedumpfile into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/makedumpfile/1.5.5-2ubuntu1.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Chris J Arges (arges) wrote :

I have verified this package for Y,X,T. Thanks!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package makedumpfile - 1.5.5-2ubuntu1.6

---------------
makedumpfile (1.5.5-2ubuntu1.6) trusty; urgency=medium

  * Remove hugepages/hugepagesz from kdump's cmdline. (LP: #1634132)

 -- Chris J Arges <email address hidden> Wed, 19 Oct 2016 08:05:16 -0500

Changed in makedumpfile (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for makedumpfile has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package makedumpfile - 1:1.5.9-5ubuntu0.2

---------------
makedumpfile (1:1.5.9-5ubuntu0.2) xenial; urgency=medium

  * Remove hugepages/hugepagesz from kdump's cmdline. (LP: #1634132)

 -- Chris J Arges <email address hidden> Wed, 19 Oct 2016 07:41:36 -0500

Changed in makedumpfile (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package makedumpfile - 1:1.6.0-2ubuntu1.1

---------------
makedumpfile (1:1.6.0-2ubuntu1.1) yakkety; urgency=medium

  * Remove hugepages/hugepagesz from kdump's cmdline. (LP: #1634132)

 -- Chris J Arges <email address hidden> Mon, 17 Oct 2016 08:19:33 -0500

Changed in makedumpfile (Ubuntu Yakkety):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers